it-swarm-ja.com

Mavericksにアップグレードすると、Cコンパイラは実行可能ファイルを作成できません

Mavericksにアップグレードすると、私は表示私のRuby on Rails開発環境、これにはRuby 1.9.3さまざまなgemの依存関係があるため、そのアプリディレクトリ内で再インストールしようとしていますRuby 1.9.3-p547:

rvm reinstall Ruby-1.9.3-p547

その後、エラーが発生します:

checking whether the C compiler works... no
configure: error: in `/Users/dsfaulkenberry/.rvm/src/Ruby-1.9.3-p547':
configure: error: C compiler cannot create executables

Config.logファイル(〜/ .rvm/src/Ruby-1.9.3-p547/config.log)を見ると、次のようになります。

dyld: Library not loaded: /usr/local/opt/cloog-ppl015/lib/libcloog.0.dylib
  Referenced from: /usr/local/Cellar/gcc46/4.6.4/gcc/libexec/gcc/x86_64-Apple-darwin12.4.0/4.6.4/cc1
  Reason: image not found

Mavericksへのアップグレードやcコンパイラの問題に関して、他の人が問題に直面していることはわかりますが、この特定のライブラリを参照したり、何をすべきかがわかりません(gccを再インストールしますか?それは私ができることでもあります)行う?)

多くの解決策は、私が行ったXCodeライセンス契約に同意することに言及していますが、問題は解決しません。

Stack Overflowユーザーは、私が役に立たなかったhomebrewを介してgccをアンインストールすることを提案し、別のユーザーは、homebrew自体を再インストールすることを提案しました。これを試してみます。

2
dfaulken

コマンドラインツール(gcc goodies)はMavericksにインストールされていません(ここに悪い単語を挿入してください)。最新の優れたxcodeをダウンロードし、xcode設定に移動して、コマンドラインツールをインストールする必要があります(これは[一般]の下にあると思います)。あなたは雨のように正しいはずです。

または!私はこのトリックに気づきました: コマンドラインツールのインストール

1
Jason McD